#include <iostream>
#define ull unsigned long long
#define rem 998244353
using namespace std;

int main() {
    ull ans = 1;
    int N, M, K;
    cin >> N >> M >> K;
    ans = (ull)(N - K + 1);
    ans = ans * (ull)M;
    ans = ans + 2;
    cout << ans % rem << endl;
    return 0;
}